Subject: bug#29097: 25.1; to support '_' as a word constituent, subword-mode regexes need updating

From: Chris Hecker <[email-masked]>
Date: Wed, 01 Nov 2017 05:08:28 +0000

That may be, I don't know the tradeoffs for that, but I do think the
updated regexes I sent are strictly superior in my testing so I think they
should become the new defaults, unless I missed some case.

Chris

On Tue, Oct 31, 2017 at 21:07 Eli Zaretskii <[email-masked]> wrote:

> > From: Chris Hecker <[email-masked]>
> > Date: Tue, 31 Oct 2017 20:51:23 -0700
> > Cc: [email-masked]
> >
> > If you like using identifiers with underscores (_) in them, like
> > C macros or even just regular identifiers, you can add _ as a word
> > constituent in the syntax tables, but if you're using subword-mode
> > then the forward and backwards regexes need updating to work
> > correctly.  Here is the relevant section of my .emacs c-mode hook:
>
> Perhaps we should make subword-forward-regexp and
> subword-backward-regexp defcustoms?
>